Package com.collibra.dgc.core.api.dto.user

# Class AddUserRequest.Builder

Object
Builder

Enclosing class:
  `AddUserRequest`

public static final class AddUserRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AddUserRequest.Builder`
  `additionalEmailAddresses(List<Email> additionalEmailAddresses)`
  The additional e-mail addresses of the user.
  `AddUserRequest.Builder`
  `addresses(List<Address> addresses)`
  The postal addresses of the user.
  `AddUserRequest`
  `build()`
  `AddUserRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `AddUserRequest.Builder`
  `department(String department)`
  The organizational department of the new user.
  `AddUserRequest.Builder`
  `emailAddress(String emailAddress)`
  Required. The e-mail address of the new user.
  `AddUserRequest.Builder`
  `firstName(String firstName)`
  The first name of the new user.
  `AddUserRequest.Builder`
  `gender(Gender gender)`
  The gender of the user.
  `AddUserRequest.Builder`
  `instantMessagingAccounts(List<InstantMessagingAccount> instantMessagingAccounts)`
  The instant messaging accounts of the user.
  `AddUserRequest.Builder`
  `language(String language)`
  The language for the user.
  `AddUserRequest.Builder`
  `lastName(String lastName)`
  The last name of the new user.
  `AddUserRequest.Builder`
  `licenseType(LicenseType licenseType)`
  Deprecated.
  This method will be removed in the future.
  `AddUserRequest.Builder`
  `phones(List<PhoneNumber> phones)`
  The phone numbers of the user.
  `AddUserRequest.Builder`
  `title(String title)`
  The organizational title of the new user.
  `String`
  `toString()`
  `AddUserRequest.Builder`
  `userGroupIds(List<UUID> userGroupIds)`
  The groups this newly created user should be added to.
  `AddUserRequest.Builder`
  `userName(String userName)`
  Required. The username, which should be unique.
  `AddUserRequest.Builder`
  `websites(List<Website> websites)`
  The websites of the user.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### but

    @Deprecated public AddUserRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please use `AddUserRequest.builder()`
    Clone method for this Builder.

  - ### userName

    public AddUserRequest.Builder userName(String userName)
    Required. The username, which should be unique.
    Returns:
      `this`.

  - ### firstName

    public AddUserRequest.Builder firstName(String firstName)
    The first name of the new user.
    Returns:
      `this`.

  - ### lastName

    public AddUserRequest.Builder lastName(String lastName)
    The last name of the new user.
    Returns:
      `this`.

  - ### emailAddress

    public AddUserRequest.Builder emailAddress(String emailAddress)
    Required. The e-mail address of the new user.
    Returns:
      `this`.

  - ### gender

    public AddUserRequest.Builder gender(Gender gender)
    The gender of the user.
    Returns:
      `this`.

  - ### title

    public AddUserRequest.Builder title(String title)
    The organizational title of the new user.
    Returns:
      `this`.

  - ### department

    public AddUserRequest.Builder department(String department)
    The organizational department of the new user.
    Returns:
      `this`.

  - ### language

    public AddUserRequest.Builder language(String language)
    The language for the user.
    Returns:
      `this`.

  - ### userGroupIds

    public AddUserRequest.Builder userGroupIds(List<UUID> userGroupIds)
    The groups this newly created user should be added to.
    Returns:
      `this`.

  - ### licenseType

    @Deprecated public AddUserRequest.Builder licenseType(LicenseType licenseType)
    Deprecated.
    This method will be removed in the future.
    The license type of the user.
    Returns:
      `this`.

  - ### addresses

    public AddUserRequest.Builder addresses(List<Address> addresses)
    The postal addresses of the user.
    Returns:
      `this`.

  - ### phones

    public AddUserRequest.Builder phones(List<PhoneNumber> phones)
    The phone numbers of the user.
    Returns:
      `this`.

  - ### additionalEmailAddresses

    public AddUserRequest.Builder additionalEmailAddresses(List<Email> additionalEmailAddresses)
    The additional e-mail addresses of the user.
    Returns:
      `this`.

  - ### instantMessagingAccounts

    public AddUserRequest.Builder instantMessagingAccounts(List<InstantMessagingAccount> instantMessagingAccounts)
    The instant messaging accounts of the user.
    Returns:
      `this`.

  - ### websites

    public AddUserRequest.Builder websites(List<Website> websites)
    The websites of the user.
    Returns:
      `this`.

  - ### build

    public AddUserRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`